// paramètres
r_i=2.56;
r_e = 2.87;
e=0.31;
cl1=1;
// points
x1= Sqrt( r_e * r_e - e * e);
ep = r_i * e / r_e;
x1p = r_i * x1 / r_e;
Point(1) = {0, 0, 0, cl1};
Point(2) = {x1, e, 0, cl1};
Point(3) = {x1p, ep, 0, cl1};

Point(4) = {e,-x1, 0, cl1};
Point(5) = {ep, -x1p,  0, cl1};


Line(1) = {3, 2};
Line(2) = {5,4};

nbt = 5 ; // le nombre de points sur les paroits
Transfinite Line{ 1,2} = nbt;


nbpt_l = 6; // nombre de points sur les lignes
nbpt_ac = 15; // nombre de moints sur les arcs complets
nbpt_a_demi= 10; // nombre de moints sur les demi arcs 
nbt = 5 ; // le nombre de points sur les paroits
nbpt_ac_prog= 20; // nombre de moints sur les  arcs avec progression

petit_angle = Asin(e / r_e);
angle1 = Pi/2 - petit_angle;
angle2 = Pi/2 - 2 * petit_angle;
angle3 = 2 * petit_angle - petit_angle / nbpt_l;


Extrude { {0,0,1} , {0,0,0} , angle1 } { 
  Line{1}; Layers{ {6,10}, {0.2,1}}; Recombine; 
}

Extrude { {0,0,1} , {0,0,0} , Pi / 2 } { 
  Line{3}; Layers{15}; Recombine; 
}

Extrude { {0,0,1} , {0,0,0} , angle1 } { 
  Line{7}; Layers{ {10,6}, {0.8,1.}}; Recombine; 
}

Extrude { {0,0,1} , {0,0,0} , angle2 } { 
  Line{2}; Layers{ {6, 10 ,6}, {0.2,0.8,1}}; Recombine; 
}

Extrude { {0,0,1} , {0,0,0} , 2 * petit_angle } { 
  Line{15}; Layers{ nbpt_l }; Recombine; 
}

Extrude { {0,0,1} , {0,0,0} , -2 * petit_angle } { 
  Line{2}; Layers{ nbpt_l }; Recombine; 
}

Extrude {0,0,1} { 
  Surface{22,6,10,14,26,18}; Layers{ 1 }; Recombine; 
}

Physical Surface("symetrie_xy") = {18, 6, 10, 14, 26, 22};
Physical Surface("symetrie_zx") = {127};
Physical Surface("symetrie_zy") = {39};
Physical Volume("vol_total") = {3, 2, 4, 1, 6, 5};
Physical Line("ligne_bas") = {104};
Physical Line("ligne_haut") = {60};
Physical Line("ligne_verti") = {34};
Physical Point("N_ref_point") = {7};
